claw::meta::if_then_else< false, ThenPart, ElsePart > Struct Template Reference

Specialization for the case where the condition evaluates to false. More...

`#include <conditional.hpp>`

## Public Types

typedef ElsePart | result
| When the condition evaluates to false, the result is the "else" part.

## Detailed Description

template<typename ThenPart, typename ElsePart>
struct claw::meta::if_then_else< false, ThenPart, ElsePart >

Specialization for the case where the condition evaluates to false.

Definition at line 70 of file conditional.hpp.

## Member Typedef Documentation

## result

template<typename ThenPart, typename ElsePart>

typedef ElsePart claw::meta::if_then_else< false, ThenPart, ElsePart >::result

When the condition evaluates to false, the result is the "else" part.

Definition at line 74 of file conditional.hpp.

The documentation for this struct was generated from the following file:

- meta/conditional.hpp